com.sun.grid.jgdi.monitoring

## Class ClusterQueueSummary

- java.lang.Object
- - com.sun.grid.jgdi.monitoring.ClusterQueueSummary

- All Implemented Interfaces:
    java.io.Serializable

      public class ClusterQueueSummary
      extends java.lang.Object
      implements java.io.Serializable

  Instances of this class hold the cluster queue summary information of one queue.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ClusterQueueSummary()` Creates a new instance of ClusterQueueSummary

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getAmbiguous()` Get the number of queue instances which are in the ambiguous state
    `int` | `getAvailableSlots()` Get the number of currently available slots.
    `int` | `getDisabledByCalendar()` Get the number of queue instances which has been by a calendar
    `int` | `getDisabledManual()` Get the number of queue instances which has been manually disabled
    `int` | `getError()` Get the number of queue instances which are in error state
    `double` | `getLoad()` Get the load of the cluster queue.
    `int` | `getLoadAlarm()` Get the number of queues instances which has an load alarm.
    `int` | `getManualIntervention()` Get the number of manually disabled queue instances.
    `java.lang.String` | `getName()` Get the name of the cluster queue
    `int` | `getOrphaned()` Get the number of queue instances which are orqhaned.
    `int` | `getReservedSlots()` Get the number of currently reserved slots
    `int` | `getSuspendByCalendar()` Get the number of queue instances which has been suspended by a calendar.
    `int` | `getSuspendManual()` Get the number of manually suspended queue instances.
    `int` | `getSuspendOnSubordinate()` Get the number of queue instances which has been suspended on a subordinate queue.
    `int` | `getSuspendThreshold()` Get the suspend threshold of the cluster queue
    `int` | `getTempDisabled()` Get the number of temporary disabled queue instances.
    `int` | `getTotalSlots()` Get the total number of slots of this cluster queue
    `int` | `getUnknown()` Get the number of queue instances which are in an unknown state.
    `int` | `getUsedSlots()` Get the number of currently used slots
    `boolean` | `isLoadSet()` Has the load value been set
    `void` | `setAmbiguous(int ambiguous)` Set the number of queue instances which are in the ambiguous state
    `void` | `setAvailableSlots(int availableSlots)` Set the number of currently available slots
    `void` | `setDisabledByCalendar(int disabledByCalendar)` Set the number of queue instances which has been by a calendar
    `void` | `setDisabledManual(int disabledManual)` Set the number of queue instances which has been manually disabled
    `void` | `setError(int error)` Set the number of queue instances which are in error state
    `void` | `setLoad(double load)` Set the load of the cluster queue
    `void` | `setLoadAlarm(int loadAlarm)` Set the number of queue instances which has an load alarm.
    `void` | `setManualIntervention(int manualIntervention)` Set the number manually disabled queue instances.
    `void` | `setName(java.lang.String name)` Set the name of the cluster queue
    `void` | `setOrphaned(int orphaned)` Set the number of queue instances which are orqhaned.
    `void` | `setReservedSlots(int reservedSlots)` Set the number of currently reserved slots
    `void` | `setSuspendByCalendar(int suspendByCalendar)` Set the number of queue instances which has been suspended by a calendar.
    `void` | `setSuspendManual(int suspendManual)` Set the number of manually suspended queue instances
    `void` | `setSuspendOnSubordinate(int suspendOnSubordinate)` Set the number of queue instances which has been suspended on a subordinate queue.
    `void` | `setSuspendThreshold(int suspendThreshold)` Set the suspend threshold of the cluster queue
    `void` | `setTempDisabled(int tempDisabled)` Set the number of temporary disabled queue instances.
    `void` | `setTotalSlots(int totalSlots)` Set the total number of slots.
    `void` | `setUnknown(int unknown)` Set the number of queue instances which are in an unknown state.
    `void` | `setUsedSlots(int usedSlots)` Set the number of currently used slots

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ClusterQueueSummary

          public ClusterQueueSummary()

      Creates a new instance of ClusterQueueSummary

  - ### Method Detail

    - #### getName

          public java.lang.String getName()

      Get the name of the cluster queue

    - #### setName

          public void setName(java.lang.String name)

      Set the name of the cluster queue
      Parameters:
        `name` - the name

    - #### getLoad

          public double getLoad()

      Get the load of the cluster queue. If the `isLoadSet` method returns `false`, the result of this method is undefined.
      Returns:
        an average of the normalized load average of all queue hosts. In order to reflect each hosts different significance the number of configured slots is used as a weighting factor when determining cluster queue load. Please note that only hosts with a np_load_value are considered for this value.

    - #### setLoad

          public void setLoad(double load)

      Set the load of the cluster queue
      Parameters:
        `load` - the new load value
      See Also:
        `getLoad()`

    - #### isLoadSet

          public boolean isLoadSet()

      Has the load value been set
      Returns:
        `true of the load value is set`

    - #### getReservedSlots

          public int getReservedSlots()

      Get the number of currently reserved slots
      Returns:
        number of currently reserved slots

    - #### setReservedSlots

          public void setReservedSlots(int reservedSlots)

      Set the number of currently reserved slots
      Parameters:
        `reservedSlots` - number of currently reserved slots

    - #### getUsedSlots

          public int getUsedSlots()

      Get the number of currently used slots
      Returns:
        number of currently used slots

    - #### setUsedSlots

          public void setUsedSlots(int usedSlots)

      Set the number of currently used slots
      Parameters:
        `usedSlots` - number of currently used slots

    - #### getTotalSlots

          public int getTotalSlots()

      Get the total number of slots of this cluster queue
      Returns:
        the total number of slots

    - #### setTotalSlots

          public void setTotalSlots(int totalSlots)

      Set the total number of slots.
      Parameters:
        `totalSlots` - the total number of slots

    - #### getAvailableSlots

          public int getAvailableSlots()

      Get the number of currently available slots.
      Returns:
        the number of currently available slots

    - #### setAvailableSlots

          public void setAvailableSlots(int availableSlots)

      Set the number of currently available slots
      Parameters:
        `availableSlots` - number of currently available slots

    - #### getTempDisabled

          public int getTempDisabled()

      Get the number of temporary disabled queue instances.

      Note: This value is only set if the `showAdditionalAttributes` is set in the options for the `cluster queue summary algorithm`.

      Returns:
        number of temporary disabled queue instances
      See Also:
        `BasicQueueOptions.showAdditionalAttributes`

    - #### setTempDisabled

          public void setTempDisabled(int tempDisabled)

      Set the number of temporary disabled queue instances.
      Parameters:
        `tempDisabled` - the number of temporary disabled queue instances.

    - #### getManualIntervention

          public int getManualIntervention()

      Get the number of manually disabled queue instances.

      Note: This value is only set if the `showAdditionalAttributes` is set in the options for the `cluster queue summary algorithm`.

      Returns:
        number of manually disabled queue instances
      See Also:
        `BasicQueueOptions.showAdditionalAttributes`

    - #### setManualIntervention

          public void setManualIntervention(int manualIntervention)

      Set the number manually disabled queue instances.
      Parameters:
        `manualIntervention` - number manually disabled queue instances.

    - #### getSuspendManual

          public int getSuspendManual()

      Get the number of manually suspended queue instances.

      Note: This value is only set if the `showAdditionalAttributes` is set in the options for the `cluster queue summary algorithm`.

      Returns:
        number of manually suspended queue instances

    - #### setSuspendManual

          public void setSuspendManual(int suspendManual)

      Set the number of manually suspended queue instances
      Parameters:
        `suspendManual` - number of manually suspended queue instances

    - #### getSuspendThreshold

          public int getSuspendThreshold()

      Get the suspend threshold of the cluster queue

      Note: This value is only set if the `showAdditionalAttributes` is set in the options for the `cluster queue summary algorithm`.

      Returns:
        the suspend threshold of the cluster queue

    - #### setSuspendThreshold

          public void setSuspendThreshold(int suspendThreshold)

      Set the suspend threshold of the cluster queue
      Parameters:
        `suspendThreshold` - the suspend threshold

    - #### getSuspendOnSubordinate

          public int getSuspendOnSubordinate()

      Get the number of queue instances which has been suspended on a subordinate queue.

      Note: This value is only set if the `showAdditionalAttributes` is set in the options for the `cluster queue summary algorithm`.

      Returns:
        The number of queue instances which has been suspended on a subordinate queue.

    - #### setSuspendOnSubordinate

          public void setSuspendOnSubordinate(int suspendOnSubordinate)

      Set the number of queue instances which has been suspended on a subordinate queue.
      Parameters:
        `suspendOnSubordinate` - The number of queue instances which has been suspended on a subordinate queue

    - #### getSuspendByCalendar

          public int getSuspendByCalendar()

      Get the number of queue instances which has been suspended by a calendar.

      Note: This value is only set if the `showAdditionalAttributes` is set in the options for the `cluster queue summary algorithm`.

      Returns:
        number of queue instances which has been suspended by a calendar.

    - #### setSuspendByCalendar

          public void setSuspendByCalendar(int suspendByCalendar)

      Set the number of queue instances which has been suspended by a calendar.

      Note: This value is only set if the `showAdditionalAttributes` is set in the options for the `cluster queue summary algorithm`.

      Parameters:
        `suspendByCalendar` - number of queue instances which has been suspended by a calendar.

    - #### getUnknown

          public int getUnknown()

      Get the number of queue instances which are in an unknown state.

      Note: This value is only set if the `showAdditionalAttributes` is set in the options for the `cluster queue summary algorithm`.

      Returns:
        number of queue instances which are in an unknown state.

    - #### setUnknown

          public void setUnknown(int unknown)

      Set the number of queue instances which are in an unknown state.
      Parameters:
        `unknown` - number of queue instances which are in an unknown state

    - #### getLoadAlarm

          public int getLoadAlarm()

      Get the number of queues instances which has an load alarm.
      Returns:
        number of queues instances which has an load alarm.

    - #### setLoadAlarm

          public void setLoadAlarm(int loadAlarm)

      Set the number of queue instances which has an load alarm.
      Parameters:
        `loadAlarm` - number of queue instances which has an load alarm.

    - #### getDisabledManual

          public int getDisabledManual()

      Get the number of queue instances which has been manually disabled
      Returns:
        number of queue instances which has been manually disabled

    - #### setDisabledManual

          public void setDisabledManual(int disabledManual)

      Set the number of queue instances which has been manually disabled
      Parameters:
        `disabledManual` - number of queue instances which has been manually disabled

    - #### getDisabledByCalendar

          public int getDisabledByCalendar()

      Get the number of queue instances which has been by a calendar
      Returns:
        number of queue instances which has been by a calendar

    - #### setDisabledByCalendar

          public void setDisabledByCalendar(int disabledByCalendar)

      Set the number of queue instances which has been by a calendar
      Parameters:
        `disabledByCalendar` - number of queue instances which has been by a calendar

    - #### getAmbiguous

          public int getAmbiguous()

      Get the number of queue instances which are in the ambiguous state
      Returns:
        number of queue instances which are in the ambiguous state

    - #### setAmbiguous

          public void setAmbiguous(int ambiguous)

      Set the number of queue instances which are in the ambiguous state
      Parameters:
        `ambiguous` - number of queue instances which are in the ambiguous state

    - #### getOrphaned

          public int getOrphaned()

      Get the number of queue instances which are orqhaned.
      Returns:
        number of queue instances which are orqhaned

    - #### setOrphaned

          public void setOrphaned(int orphaned)

      Set the number of queue instances which are orqhaned.
      Parameters:
        `orphaned` - number of queue instances which are orqhaned

    - #### getError

          public int getError()

      Get the number of queue instances which are in error state
      Returns:
        number of queue instances which are in error state

    - #### setError

          public void setError(int error)

      Set the number of queue instances which are in error state
      Parameters:
        `error` - number of queue instances which are in error state

Copyright © 2007 Sun Microsystems, Inc. All rights reserved.